Skip to main content

Class AggregateUnpivotRequest.Options

java.lang.Object
com.gpudb.protocol.AggregateUnpivotRequest.Options
Enclosing class:

public static final class AggregateUnpivotRequest.Options extends Object
A set of string constants for the AggregateUnpivotRequest parameter options.

Optional parameters.

  • Field Details

    • CREATE_TEMP_TABLE

      public static final String CREATE_TEMP_TABLE
      If TRUE, a unique temporary table name will be generated in the sys_temp schema and used in place of RESULT_TABLE. If RESULT_TABLE_PERSIST is FALSE (or unspecified), then this is always allowed even if the caller does not have permission to create tables. The generated name is returned in QUALIFIED_RESULT_TABLE_NAME. Supported values:The default value is FALSE.
    • TRUE

      public static final String TRUE
    • FALSE

      public static final String FALSE
    • COLLECTION_NAME

      public static final String COLLECTION_NAME
      [DEPRECATED—please specify the containing schema as part of RESULT_TABLE and use GPUdb.createSchema to create the schema if non-existent] Name of a schema which is to contain the table specified in RESULT_TABLE. If the schema is non-existent, it will be automatically created.
    • RESULT_TABLE

      public static final String RESULT_TABLE
      The name of a table used to store the results, in [schema_name.]table_name format, using standard name resolution rules and meeting table naming criteria. If present, no results are returned in the response.
    • RESULT_TABLE_PERSIST

      public static final String RESULT_TABLE_PERSIST
      If TRUE, then the result table specified in RESULT_TABLE will be persisted and will not expire unless a TTL is specified. If FALSE, then the result table will be an in-memory table and will expire unless a TTL is specified otherwise. Supported values:The default value is FALSE.
    • EXPRESSION

      public static final String EXPRESSION
      Filter expression to apply to the table prior to unpivot processing.
    • ORDER_BY

      public static final String ORDER_BY
      Comma-separated list of the columns to be sorted by; e.g. ‘timestamp asc, x desc’. The columns specified must be present in input table. If any alias is given for any column name, the alias must be used, rather than the original column name. The default value is ”.
    • CHUNK_SIZE

      public static final String CHUNK_SIZE
      Indicates the number of records per chunk to be used for the result table. Must be used in combination with the RESULT_TABLE option.
    • CHUNK_COLUMN_MAX_MEMORY

      public static final String CHUNK_COLUMN_MAX_MEMORY
      Indicates the target maximum data size for each column in a chunk to be used for the result table. Must be used in combination with the RESULT_TABLE option.
    • CHUNK_MAX_MEMORY

      public static final String CHUNK_MAX_MEMORY
      Indicates the target maximum data size for all columns in a chunk to be used for the result table. Must be used in combination with the RESULT_TABLE option.
    • COMPRESSION_CODEC

      public static final String COMPRESSION_CODEC
      The default compression codec for the result table’s columns.
    • LIMIT

      public static final String LIMIT
      The number of records to keep. The default value is ”.
    • TTL

      public static final String TTL
      Sets the TTL of the table specified in RESULT_TABLE.
    • VIEW_ID

      public static final String VIEW_ID
      View this result table is part of. The default value is ”.
    • CREATE_INDEXES

      public static final String CREATE_INDEXES
      Comma-separated list of columns on which to create indexes on the table specified in RESULT_TABLE. The columns specified must be present in output column names. If any alias is given for any column name, the alias must be used, rather than the original column name.
    • RESULT_TABLE_FORCE_REPLICATED

      public static final String RESULT_TABLE_FORCE_REPLICATED
      Force the result table to be replicated (ignores any sharding). Must be used in combination with the RESULT_TABLE option. Supported values:The default value is FALSE.